## AgsFxHighPassChannel

AgsFxHighPassChannel — fx high pass channel

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsFxHighPassChannel * | ags_fx_high_pass_channel_new ()

## Properties

AgsPort * | enabled | Read / Write
AgsPort * | filter-gain | Read / Write
AgsPort * | q-lin | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsRecall
            ╰── AgsRecallChannel
                ╰── AgsFxHighPassChannel

## Includes

    #include <ags/audio/fx/ags_fx_high_pass_channel.h>

## Description

The AgsFxHighPassChannel class provides ports to the effect processor.

## Functions

### ags_fx_high_pass_channel_new ()

    AgsFxHighPassChannel *
    ags_fx_high_pass_channel_new (AgsChannel *channel);

Create a new instance of AgsFxHighPassChannel

#### Parameters

channel | the AgsChannel |

#### Returns

the new AgsFxHighPassChannel

Since: 3.13.0

## Property Details

### The `“enabled”` property

      “enabled”                  AgsPort *

The enabled port.

Owner: AgsFxHighPassChannel

Flags: Read / Write

Since: 3.14.0

### The `“filter-gain”` property

      “filter-gain”              AgsPort *

The filter gain port.

Owner: AgsFxHighPassChannel

Flags: Read / Write

Since: 3.13.0

### The `“q-lin”` property

      “q-lin”                    AgsPort *

The q-lin port.

Owner: AgsFxHighPassChannel

Flags: Read / Write

Since: 3.13.0